GetReport
curl --request GET \
--url https://api.siftstack.com/api/v1/reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"failed": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {},
"error": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"displayOrder": 123,
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"resolvedFamilyStats": [
{
"reference": "<string>",
"familyId": "<string>",
"familyVersionId": "<string>",
"familyStatExpressionId": "<string>",
"familyStatRangeId": "<string>"
}
],
"resolvedAlignmentConfigs": [
{
"channelReferences": [
"<string>"
],
"t0": {
"timestamp": "2023-11-07T05:31:56Z",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestampConfig": {
"timestamp": "2023-11-07T05:31:56Z"
}
},
"startTime": {
"timestamp": "2023-11-07T05:31:56Z",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestampConfig": {
"timestamp": "2023-11-07T05:31:56Z"
}
},
"endTime": {
"timestamp": "2023-11-07T05:31:56Z",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestampConfig": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
}
]
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"reportType": "REPORT_TYPE_UNSPECIFIED",
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"canvasExecutionId": "<string>",
"canvasStatus": "CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ReportService
GetReport
Retrieve a report.
GET
/
api
/
v1
/
reports
/
{reportId}
GetReport
curl --request GET \
--url https://api.siftstack.com/api/v1/reports/{reportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/reports/{reportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/reports/{reportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"failed": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {},
"error": {
"errorMessage": "<string>",
"exitCode": 123,
"stdout": "<string>",
"stderr": "<string>"
}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"displayOrder": 123,
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"resolvedFamilyStats": [
{
"reference": "<string>",
"familyId": "<string>",
"familyVersionId": "<string>",
"familyStatExpressionId": "<string>",
"familyStatRangeId": "<string>"
}
],
"resolvedAlignmentConfigs": [
{
"channelReferences": [
"<string>"
],
"t0": {
"timestamp": "2023-11-07T05:31:56Z",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestampConfig": {
"timestamp": "2023-11-07T05:31:56Z"
}
},
"startTime": {
"timestamp": "2023-11-07T05:31:56Z",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestampConfig": {
"timestamp": "2023-11-07T05:31:56Z"
}
},
"endTime": {
"timestamp": "2023-11-07T05:31:56Z",
"run": {
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"annotation": {
"annotationId": "<string>",
"bound": "TIME_RANGE_BOUND_UNSPECIFIED"
},
"timestampConfig": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
}
]
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"reportType": "REPORT_TYPE_UNSPECIFIED",
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"canvasExecutionId": "<string>",
"canvasStatus": "CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
A successful response.
The request of a call to ReportService_GetReport to retrieve a report template.
Show child attributes
Show child attributes
Was this page helpful?
⌘I